<?php
/* Template Name: CDIFS Magazine Detail effects Page */

$exclude_theme = true;
echo "<!-- exclude".$exclude_theme."-->" ;
get_header('2022'); 

$magID = $_GET['magazine'];



?>


<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/effects/turnjs/extras/jquery.min.1.7.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/effects/turnjs/extras/jquery-ui-1.8.20.custom.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/effects/turnjs/extras/jquery.mousewheel.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/effects/turnjs/extras/modernizr.2.5.3.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/effects/turnjs/lib/hash.js"></script>

<?php
echo "<!-- info here -->";
echo "<!--".get_field('dl_link', $magID )." -->";
echo "<!--".get_field('folder', $magID )." -->";

?>

<section id="magazine-detail">
    <div style="display:block; position:relative; width:100%; ">
<div id="canvas">
	<div id="book-zoom">
	    <div id="magazine-detail-header">
	        <div class="mag-back-btn" >
	            <a href="/site/ifs-magazine">
	            <img src="<?php echo get_template_directory_uri(); ?>/effects/images/magazine/back-to-list-icon.svg" style="margin-right: 10px;">
	            
	            <div class="btn-back-text">
	            <?php if( $isENG) { ?>
	                <span>Back to List</span>
	            <?php } else { ?>
	            
	                <span>返回列表</span>
	            <?php } ?>
	            </div>
	            </a>
	        </div>
	        <div class="magazine-detail-header-bookname-div">
	            <span class="magazine-detail-header-bookname"><!--2022 SPRING & SUMMER ISSUE--><?php echo get_field('mag_name', $magID )?></span>
	        </div>
	        <a href="<?php echo get_field('dl_link', $magID );?>" target="_blank">
	        <div>
	            <img src="<?php echo get_template_directory_uri(); ?>/effects/images/magazine/pdf-download-icon.svg">
	            <?php if( $isENG) { ?>
	                <span style="display:block;float:right;margin-left:10px">Download PDF</span>
	            <?php } else { ?>
	                <span style="display:block;float:right;margin-left:10px">下载 PDF</span>
	            <?php } ?>
	        </div>
	        </a>
	    </div>
	    <div id="book_viewport">
    		<div class="sample-docs reset-doc">
    			<div ignore="1" class="tabs"><div class="left">  </div> <div class="right"> </div></div>
    			<div class="hard"></div>
    			<div class="hard"></div>
    			<div class="hard p<?php echo ( get_field('total_jpg', $magID ) + 3 );?> "></div>
    			<div class="hard p<?php echo ( get_field('total_jpg', $magID ) + 4 );?>"></div>
    			
    			<!-- <div class="hard p63"></div>
    			<div class="hard p64"></div> -->
    		</div>
		</div>
	</div>


	<div id="slider-bar" class="turnjs-slider">
		<div id="slider"></div>
	</div>
</div>
</div>

<?php if ( $_GET["test"]==1 ) { ?>
<a href="#" id="createflip"> create</a>
<br/>
<a href="#" id="destroyflip"> destroy</a>
<?php } ?>

</section>

<style>
body{
    overflow-x: hidden;
}

.mag-back-btn{

display:flex; 
align-items: center
}



.magazine-detail-header-bookname{
    font-weight:800 !important;
    font-size:22px  !important;
    color:#ac9d80  !important;
}
    #magazine-detail-header{
            display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
    }
    
    #magazine-detail{
        display:block;
        position: relative;
        background-color: #dce0e3;
      /*  padding: 50px 100px 100px;*/
      padding: 25px 0px 100px;
    }
    .reset-doc{
       /* margin-left:auto !important;
        margin-right:auto !important;*/
    }
    
    #book-zoom{
        position:relative;
    }
    
    #slider-bar{
        position:relative;
    }
    
    #magazine-detail-header span{
        font-size:16px;
        font-weight:700;
        color:#6e6362;
        	-webkit-transition: all 0.3s ease;
  	transition: all 0.3s ease;
    }
    
    #magazine-detail-header a:hover span{
        color:#ac9d80;
    }
    
    .btn-back-text {
    display: block;
    float: right;
        padding-bottom: 1px;
}
</style>

<script type="text/javascript">

if( isMobile)
{
    var setDisplay='single';
}
else
{
    var setDisplay='double';
}

console.log("set display " + setDisplay );
var global_total_pages = <?php echo ( get_field('total_jpg', $magID ) + 4 );?>;
var flipbook;

function loadApp() {

	flipbook = $('.sample-docs');

	// Check if the CSS was already loaded
	
	if (flipbook.width()==0 || flipbook.height()==0) {
		setTimeout(loadApp, 10);
		return;
	}

	// Mousewheel
/*
	$('#book-zoom').mousewheel(function(event, delta, deltaX, deltaY) {
console.log( "mousewheel");
		var data = $(this).data(),
			step = 30,
			flipbook = $('.sample-docs'),
			actualPos = $('#slider').slider('value')*step;
console.log( data.scrollX );
		if (typeof(data.scrollX)==='undefined') {
			data.scrollX = actualPos;
			data.scrollPage = flipbook.turn('page');
		}

		data.scrollX = Math.min($( "#slider" ).slider('option', 'max')*step,
			Math.max(0, data.scrollX + deltaX));

		var actualView = Math.round(data.scrollX/step),
			page = Math.min(flipbook.turn('pages'), Math.max(1, actualView*2 - 2));

		if ($.inArray(data.scrollPage, flipbook.turn('view', page))==-1) {
			data.scrollPage = page;
			flipbook.turn('page', page);
		}

		if (data.scrollTimer)
			clearInterval(data.scrollTimer);
		
		data.scrollTimer = setTimeout(function(){
			data.scrollX = undefined;
			data.scrollPage = undefined;
			data.scrollTimer = undefined;
		}, 1000);

	});
	*/
	
	


	// Slider

	$( "#slider" ).slider({
		min: 1,
		max: 100,

		start: function(event, ui) {
		    /*
			if (!window._thumbPreview) {
				_thumbPreview = $('<div />', {'class': 'thumbnail'}).html('<div></div>');
				setPreview(ui.value);
				_thumbPreview.appendTo($(ui.handle));
			} else
				setPreview(ui.value);
            */
			moveBar(false);
		},

		slide: function(event, ui) {
			//setPreview(ui.value);
		},

		stop: function() {
			if (window._thumbPreview)
				_thumbPreview.removeClass('show');
			
			$('.sample-docs').turn('page', Math.max(1, $(this).slider('value')*2 - 2));
		}
	});


	// URIs
	
	Hash.on('^page\/([0-9]*)$', {
		yep: function(path, parts) {
			var page = parts[1];

			if (page!==undefined) {
				if ($('.sample-docs').turn('is'))
					$('.sample-docs').turn('page', page);
			}

		},
		nop: function(path) {

			if ($('.sample-docs').turn('is'))
				$('.sample-docs').turn('page', 1);
		}
	});

	// Arrows

	$(document).keydown(function(e){

		var previous = 37, next = 39;

		switch (e.keyCode) {
			case previous:

				$('.sample-docs').turn('previous');

			break;
			case next:
				
				$('.sample-docs').turn('next');

			break;
		}

	});

	// Create the flipbook


	flipbook.turn({
	    
	    display: setDisplay,
	    
		elevation: 50,
		acceleration: false,
		gradients: true,
		autoCenter: true,
		duration: 1000,
		//pages: 64,
		pages: <?php echo ( get_field('total_jpg', $magID ) + 4 );?>,
		
		
		
		when: {

		turning: function(e, page, view) {
			
			var book = $(this),
			currentPage = book.turn('page'),
			pages = book.turn('pages');
			
			console.log( "page " + page + " // currentPage " + currentPage);
	
			if (currentPage>3 && currentPage<pages-3) {
			    
			     console.log("p1 pages " + pages + " // current " + currentPage + " page " + page);
			     
				if (page==1) {
				    console.log("p1 page 1 here");
					book.turn('page', 2).turn('stop').turn('page', page);
					
					e.preventDefault();
					return;
				} else if (page==pages) {
				    console.log("p1 page other here");
				    
					book.turn('page', pages-1).turn('stop').turn('page', page);
					e.preventDefault();
					return;
				}
			} else {
			    if (page>3 && page<pages-3) {
			    
			    console.log("p2 pages " + pages + " // current " + currentPage + " page " + page);
			    
				if (currentPage==1) {
				    
				    console.log("p2 page 1 here");
				    
					book.turn('page', 2).turn('stop').turn('page', page);
					e.preventDefault();
					return;
				} else if (currentPage==pages) {
				    
				    console.log("p2 page other here");
				    
					book.turn('page', pages-1).turn('stop').turn('page', page);
					e.preventDefault();
					return;
				}
				
			    }
			    else
			    {
			      /*	if (currentPage==2) {
			      	    book.turn('page', 3).turn('stop').turn('page', page);
				        	e.preventDefault();
					    return;
			      	}
			      	*/
			    }
			  }


			Hash.go('page/'+page).update();

			if (page==1 || page==pages)
			{
			    console.log ( "start " + page );
				
				$('.sample-docs .tabs').hide();
			}

		},

		turned: function(e, page, view) {

			var book = $(this);

			$('#slider').slider('value', getViewNumber(book, page));

			if (page!=1 && page!=book.turn('pages'))
				$('.sample-docs .tabs').fadeIn(500);
			else
				$('.sample-docs .tabs').hide();

			book.turn('center');
			updateTabs();

		},

		start: function(e, pageObj) {
	
			moveBar(true);

		},

		end: function(e, pageObj) {
		
			var book = $(this);

			setTimeout(function() {
				$('#slider').slider('value', getViewNumber(book));
			}, 1);

			moveBar(false);

		},

		missing: function (e, pages) {
        console.log( "missing?");
			for (var i = 0; i < pages.length; i++)
				addPage(pages[i], $(this));

		}
	}
	}). turn('page', 1);


	$('#slider').slider('option', 'max', numberOfViews(flipbook));

	flipbook.addClass('animated');


	// Show canvas

	$('#canvas').css({visibility: 'visible'});
	
	
			// Zoom.js

	$('#book_viewport').zoom({
		flipbook: $('.sample-docs'),

		max: function() { 
			
			return largeMagazineWidth()/$('.sample-docs').width();

		}, 

		when: {

			swipeLeft: function() {

				$(this).zoom('flipbook').turn('next');

			},

			swipeRight: function() {
				
				$(this).zoom('flipbook').turn('previous');

			},

			resize: function(event, scale, page, pageElement) {

            /*
				if (scale==1)
					loadSmallPage(page, pageElement);
				else
					loadLargePage(page, pageElement);
            */
            
			},

			zoomIn: function () {

				$('.thumbnails').hide();
				$('.made').hide();
				$('.sample-docs').removeClass('animated').addClass('zoom-in');
				$('.zoom-icon').removeClass('zoom-icon-in').addClass('zoom-icon-out');
				
				if (!window.escTip && !$.isTouch) {
					escTip = true;

					$('<div />', {'class': 'exit-message'}).
						html('<div>Press ESC to exit</div>').
							appendTo($('body')).
							delay(2000).
							animate({opacity:0}, 500, function() {
								$(this).remove();
							});
				}
				resizeViewport();
			},

			zoomOut: function () {

				$('.exit-message').hide();
				$('.thumbnails').fadeIn();
				$('.made').fadeIn();
				$('.zoom-icon').removeClass('zoom-icon-out').addClass('zoom-icon-in');

				setTimeout(function(){
					$('.sample-docs').addClass('animated').removeClass('zoom-in');
					resizeViewport();
				}, 0);

			}
		}
	});

	// Zoom event
/*
	if ($.isTouch)
		$('#book_viewport').bind('zoom.doubleTap', zoomTo);
	else
		$('#book_viewport').bind('zoom.doubleTap', zoomTo);  // changed from tap to doubleTap by hong

*/	


}





// Hide canvas

$('#canvas').css({visibility: 'hidden'});

var the_folder = "<?php echo get_field('folder', $magID ); ?>";

yepnope({
	test: Modernizr.csstransforms,
	//yep: ['<?php echo get_template_directory_uri(); ?>/effects/turnjs/lib/turn.min.js', '<?php echo get_template_directory_uri(); ?>/effects/turnjs/css/jquery.ui.css'],
	yep: ['<?php echo get_template_directory_uri(); ?>/effects/turnjs/lib/turn.js', '<?php echo get_template_directory_uri(); ?>/effects/turnjs/css/jquery.ui.css'],
	
	nope: ['<?php echo get_template_directory_uri(); ?>/effects/turnjs/lib/turn.html4.min.js', '<?php echo get_template_directory_uri(); ?>/effects/turnjs/css/jquery.ui.html4.css'],
	both: ['<?php echo get_template_directory_uri(); ?>/effects/turnjs/css/docs.css' , '<?php echo get_template_directory_uri(); ?>/effects/turnjs/lib/zoom.js' , '<?php echo get_template_directory_uri(); ?>/effects/turnjs/js/docs.js'],
	complete: loadApp
});

</script>





<script>
    
    $(window).resize(function(){
    
    //console.log( "window.innerWidth " + window.innerWidth + " // ") ;
    /*    if ( window.innerWidth == 900 ) 
        {
            console.log( "run here");
            flipbook.turn('destroy');
            reload();
        }
        */
        console.log( "resize single?");
        
        /*
        console.log( $('.sample-docs').width() );
     //   flipbook.turn('display', 'single');
        flipbook.turn('resize');
        console.log( "resize2?");
        resizeViewport();
        console.log( "resize viewport?");
        */
        loadApp();
    });
    
    $("#destroyflip").click(function(e){
        e.preventDefault();
  console.log( "destroy ");
  flipbook.turn("destroy");
});
     $("#createflip").click(function(e){
         e.preventDefault();
  console.log( "create ");
  flipbook.turn("init");
});
  
    
</script> 

<style>

#menu-item-2601  a {
	    color: #ac9d80 !important;
	}
	
	#menu-item-2604  a {
	    color: #ac9d80 !important;
	}

/* put here to load after docs.css for later php using */
    .sample-docs .hard{
    	background-image:url(<?php echo get_template_directory_uri(); ?>/effects/turnjs/<?php echo get_field('folder', $magID ); //magazine-2022-1?>/cover.jpg);
    	background-size: cover;
    }
    
    #slider{
    overflow: visible;
    width: 520px;
    }
    
    
    
    <?php
    
    $defaultWidth = 471; 
    $defaultHeight = 600;
    
    $resultWidth = $defaultWidth ;
    $resultHeight = $defaultHeight ;
    
    if ( get_field('width', $magID ) )
    {
        $resultWidth = get_field('width', $magID );
        $resultHeight = get_field('height', $magID );
    }
    
    
    
    ?>
    
    
    <!-- testing  <?php echo $resultWidth. " // ". $resultHeight ; ?> -->
    
#canvas{
/*	width: 942px; */
	width: calc( 100vw * 942 / 1440); 
	height : calc( 100vw * 600 / 1440);
/*	height : 80vh; */
}

.sample-docs{
	width: calc( 100vw * 942 / 1440);
	height: calc( 100vw * 600 / 1440);
}

.sample-docs .page{
    	width: calc( 100vw * 471 / 1440);
    	height: calc( 100vw * 600 / 1440);
/*	width:471px;
	height:600px;*/
}

.sample-docs .tabs{
    width: calc( 100vw * 942 / 1440);
	/*width:942px;*/
}

.sample-docs .tabs > div{
width: calc( 100vw * 461 / 1440);
	/*width:461px;*/
}
    
    
.sample-docs .p2{
	/*background-position:-478px 0; /*478*/
	background-position: calc( 100vw * -478 / 1440 ) 0;
}

.sample-docs .p<?php echo ( get_field('total_jpg', $magID ) + 3 );?>{
	/* background-position:-960px 0; */
	background-position: calc( 100vw * -960 / 1440 ) 0;
}

.sample-docs .p<?php echo ( get_field('total_jpg', $magID ) + 4 );?>{
	/* background-position:-1434px 0; /*1434*/
	background-position: calc( 100vw * -1434 / 1440 ) 0;
}

@media (max-width: 480px){
    
    
.sample-docs .p2{
	background-position:-300px 0; /*478*/
}

 .sample-docs .p<?php echo ( get_field('total_jpg', $magID ) + 3 );?>{
	background-position:-600px 0;
}

.sample-docs .p<?php echo ( get_field('total_jpg', $magID ) + 4 );?>{
	background-position:-900px 0; /*1434*/
}   
    
        #magazine-detail-header {
    padding-bottom: 20px;
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-around;
    align-items: flex-start;
    }
}

/*
.sample-docs .p63{
	background-position:-942px 0;
}

.sample-docs .p64{
	background-position:-1434px 0; /*1434*/
}
*/


</style>


<?php get_footer('2022'); ?>
